Skip to main content
POST
/
kyb
Create a KYB record
curl --request POST \
  --url https://api.pcxpay.com/v1/kyb \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_id": "<string>",
  "org_id": "<string>",
  "userCreatedAt": "<string>",
  "orgCreatedAt": "<string>",
  "businessInfo": {
    "businessName": "<string>",
    "address1": "<string>",
    "address2": "<string>",
    "businessWebsite": "<string>",
    "country": "<string>",
    "emailAddress": "jsmith@example.com",
    "industry": "<string>",
    "phoneNumber": "<string>",
    "postalCode": "<string>",
    "regionState": "<string>"
  },
  "kybDocuments": {
    "companyLogo": {
      "file_url": "<string>",
      "original_filename": "<string>"
    },
    "companyRegistrationAndOwnershipDocuments": {
      "file_url": "<string>",
      "original_filename": "<string>"
    },
    "companyRegistrationNumber": "<string>",
    "isRegisteredEntity": true,
    "registrationType": "<string>",
    "taxIdentificationNumber": "<string>",
    "idOfDirectorsOrOwners": [
      {
        "file_url": "<string>",
        "original_filename": "<string>"
      }
    ]
  }
}
'
{
  "status": "success",
  "message": "<string>",
  "data": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
user_id
string
required
org_id
string
required
userCreatedAt
string
required

ISO 8601 datetime string

orgCreatedAt
string
required

ISO 8601 datetime string

businessInfo
object
kybDocuments
object

Response

KYB record created

status
string
Example:

"success"

message
string
data
object